aboutsummaryrefslogtreecommitdiffstats
path: root/tools/updater/update_mcuconf_stm32l496xx.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/updater/update_mcuconf_stm32l496xx.sh')
-rw-r--r--tools/updater/update_mcuconf_stm32l496xx.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/tools/updater/update_mcuconf_stm32l496xx.sh b/tools/updater/update_mcuconf_stm32l496xx.sh
new file mode 100644
index 000000000..ae1b95182
--- /dev/null
+++ b/tools/updater/update_mcuconf_stm32l496xx.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+if [ $# -eq 2 ]
+ then
+ if [ $1 = "rootpath" ]
+ then
+ find $2 -name "mcuconf.h" -exec bash update_mcuconf_stm32l496xx.sh "{}" \;
+ else
+ echo "Usage: update_mcuconf_stm32l496xx.sh [rootpath <root path>]"
+ fi
+elif [ $# -eq 1 ]
+then
+ declare conffile=$(<$1)
+ if egrep -q "STM32L496_MCUCONF" <<< "$conffile"
+ then
+ echo Processing: $1
+ egrep -e "\#define\s+[a-zA-Z0-9_()]*\s+[a-zA-Z0-9_]" <<< "$conffile" | sed -r 's/\#define\s+([a-zA-Z0-9_]*)(\([^)]*\))?\s+/\1=/g' > ./values.txt
+ if ! fmpp -q -C conf.fmpp -S ../ftl/processors/conf/mcuconf_stm32l496xx
+ then
+ echo
+ echo "aborted"
+ exit 1
+ fi
+ cp ./mcuconf.h $1
+ rm ./mcuconf.h ./values.txt
+ fi
+else
+ echo "Usage: update_mcuconf_stm32l496xx.sh [rootpath <root path>]"
+ echo " update_mcuconf_stm32l496xx.sh <configuration file>]"
+fi